Bug 244514 - Thunderbird fails to link to Firefox on KDe desktop
Summary: Thunderbird fails to link to Firefox on KDe desktop
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-16 13:40 UTC by TR Bentley
Modified: 2018-04-11 08:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 13:17:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description TR Bentley 2007-06-16 13:40:28 UTC
Description of problem:
Thunderbird's OpenBrowser.sh command only works on the Gnome desktop.  If it is
unable to find the details in GConf then links fail to open.

Version-Release number of selected component (if applicable):
Thunderbird 2.x  Firefox 2.x FC7 - fully patched.

How reproducible:
Totally as it is a script error


Steps to Reproduce:
1.Install KDE
2. Install Thunderbird
3. Install Firefox
Open document in Thunderbird and select a url link in a document
  
Actual results:
Error box displayed.

Expected results:
Firefox either starts of moves to the url selected.

Additional info:

Comment 1 Gianluca Varisco 2007-06-16 14:18:25 UTC
It's only a workaround, sorry; can you try to do these steps?

- close thunderbird
- open ~/.thunderbird/default.mjl/prefs.js 
- add these lines:
user_pref("network.protocol-handler.app.http", "/path/of/browser");
user_pref("network.protocol-handler.app.https", "/path/of/browser");
user_pref("network.protocol-handler.app.ftp", "/path/of/browser");
- save the file
- reopen thunderbird and try to open an URL link in a document.

If you want to set Firefox as default KDE browser you have two ways to do it:

- Open the Control Center, in menu KDE Components -> Component Chooser -> Web
Browser, click in the following browser and type in firefox.
- launch from one terminal: kcmshell componentchooser

Comment 2 Gianluca Varisco 2007-06-16 14:23:56 UTC
default.mjl can be also "XXXXX.default".

Comment 3 Matěj Cepl 2008-02-28 13:17:32 UTC
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=331089) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.


Note You need to log in before you can comment on or make changes to this bug.